Package org.apache.synapse.transport.fix.message

## Class FIXMessageFromatter

- java.lang.Object
- - org.apache.synapse.transport.fix.message.FIXMessageFromatter

- All Implemented Interfaces:
    `org.apache.axis2.transport.MessageFormatter`

      public class FIXMessageFromatter
      extends Object
      implements org.apache.axis2.transport.MessageFormatter

  Reads the incoming message context and convert them back to the fix raw message

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIXMessageFromatter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `formatSOAPAction​(org.apache.axis2.context.MessageContext arg0, org.apache.axiom.om.OMOutputFormat arg1, String arg2)` |
    `byte[]` | `getBytes​(org.apache.axis2.context.MessageContext arg0, org.apache.axiom.om.OMOutputFormat arg1)` |
    `String` | `getContentType​(org.apache.axis2.context.MessageContext msgCtxt, org.apache.axiom.om.OMOutputFormat format, String soapActionString)` |
    `static org.apache.axiom.om.OMNamespace` | `getNamespaceOfFIXPayload​(org.apache.axiom.soap.SOAPBody fixBody)` | Read the FIX message payload and identify the namespace if exists
    `URL` | `getTargetAddress​(org.apache.axis2.context.MessageContext arg0, org.apache.axiom.om.OMOutputFormat arg1, URL arg2)` |
    `void` | `writeTo​(org.apache.axis2.context.MessageContext msgCtx, org.apache.axiom.om.OMOutputFormat format, OutputStream out, boolean arg3)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXMessageFromatter

          public FIXMessageFromatter()

  - ### Method Detail

    - #### formatSOAPAction

          public String formatSOAPAction​(org.apache.axis2.context.MessageContext arg0,
                                         org.apache.axiom.om.OMOutputFormat arg1,
                                         String arg2)

      Specified by:
        `formatSOAPAction` in interface `org.apache.axis2.transport.MessageFormatter`

    - #### getBytes

          public byte[] getBytes​(org.apache.axis2.context.MessageContext arg0,
                                 org.apache.axiom.om.OMOutputFormat arg1)
                          throws org.apache.axis2.AxisFault

      Specified by:
        `getBytes` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getContentType

          public String getContentType​(org.apache.axis2.context.MessageContext msgCtxt,
                                       org.apache.axiom.om.OMOutputFormat format,
                                       String soapActionString)

      Specified by:
        `getContentType` in interface `org.apache.axis2.transport.MessageFormatter`

    - #### getTargetAddress

          public URL getTargetAddress​(org.apache.axis2.context.MessageContext arg0,
                                      org.apache.axiom.om.OMOutputFormat arg1,
                                      URL arg2)
                               throws org.apache.axis2.AxisFault

      Specified by:
        `getTargetAddress` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getNamespaceOfFIXPayload

          public static org.apache.axiom.om.OMNamespace getNamespaceOfFIXPayload​(org.apache.axiom.soap.SOAPBody fixBody)

      Read the FIX message payload and identify the namespace if exists
      Parameters:
        `fixBody` - FIX message payload
      Returns:
        namespace as a OMNamespace

    - #### writeTo

          public void writeTo​(org.apache.axis2.context.MessageContext msgCtx,
                              org.apache.axiom.om.OMOutputFormat format,
                              OutputStream out,
                              boolean arg3)
                       throws org.apache.axis2.AxisFault

      Specified by:
        `writeTo` in interface `org.apache.axis2.transport.MessageFormatter`
      Throws:
        `org.apache.axis2.AxisFault`